import request from '@/utils/request'

// 查询GPS位置信息推送数据列表
export function listGpsLocationPlush (query) {
  return request({
    url: '/gps/gpsLocationPlush/list',
    method: 'get',
    params: query
  })
}

// 查询GPS位置信息推送数据详细
export function getGpsLocationPlush (id) {
  return request({
    url: '/gps/gpsLocationPlush/' + id,
    method: 'get'
  })
}

// 新增GPS位置信息推送数据
export function addGpsLocationPlush (data) {
  return request({
    url: '/gps/gpsLocationPlush',
    method: 'post',
    data: data
  })
}

// 修改GPS位置信息推送数据
export function updateGpsLocationPlush (data) {
  return request({
    url: '/gps/gpsLocationPlush',
    method: 'put',
    data: data
  })
}

// 删除GPS位置信息推送数据
export function delGpsLocationPlush (id) {
  return request({
    url: '/gps/gpsLocationPlush/' + id,
    method: 'delete'
  })
}


// 导出GPS位置信息推送数据
export function exportGpsLocationPlush (query) {
  return request({
    url: '/gps/gpsLocationPlush/export',
    method: 'get',
    params: query
  })
}

// 获取初始化数据
export function getInitData (dictTypes) {
  return request({
    url: '/gps/gpsLocationPlush/getInitData/' + dictTypes,
    method: 'get'
  })
}
